Subject: bug#28462: gnucash dies when generating reports in i3, works in GNOME

From: Adam Van Ymeren <[email-masked]>
Date: Thu, 14 Sep 2017 14:58:18 -0400

Here's a bug report I've been sitting on for a while.  I've been meaning
to dig in to it further but haven't had the time so I figured I should
at least post it in case anyone else has experienced this or knows a fix.

Generating reports in gnucash cause it to die when running in the
default i3 session.

If I run in the default GNOME session it works fine.

I believe the problem is related to not having a running GSettings
daemon.

Below is a shortened backtrace from the gnucash process as it died
trying to generate a balance sheet.

As you can see it dies somewhere in GIO related to settings (#3
g_settings_set_property).

#0  0x00007f71fb64cb21 in _g_log_abort ()
   from /gnu/store/9x9229j1sramg64qppmn87m2vy2jq4im-glib-2.52.2/lib/libglib-2.0.so.0
#1  0x00007f71fb64dd75 in g_logv ()
   from /gnu/store/9x9229j1sramg64qppmn87m2vy2jq4im-glib-2.52.2/lib/libglib-2.0.so.0
#2  0x00007f71fb64dec2 in g_log ()
   from /gnu/store/9x9229j1sramg64qppmn87m2vy2jq4im-glib-2.52.2/lib/libglib-2.0.so.0
#3  0x00007f71fc0c813f in g_settings_set_property ()
   from /gnu/store/9x9229j1sramg64qppmn87m2vy2jq4im-glib-2.52.2/lib/libgio-2.0.so.0
#4  0x00007f71fb925e63 in g_object_new_internal ()
   from /gnu/store/9x9229j1sramg64qppmn87m2vy2jq4im-glib-2.52.2/lib/libgobject-2.0.so.0
#5  0x00007f71fb927865 in g_object_new_valist ()
   from /gnu/store/9x9229j1sramg64qppmn87m2vy2jq4im-glib-2.52.2/lib/libgobject-2.0.so.0
#6  0x00007f71fb927bb4 in g_object_new ()
   from /gnu/store/9x9229j1sramg64qppmn87m2vy2jq4im-glib-2.52.2/lib/libgobject-2.0.so.0
#7  0x00007f7189df7536 in g_proxy_resolver_gnome_init ()
   from /home/adam/.guix-profile/lib/gio/modules/libgiognomeproxy.so
#8  0x00007f71fb9432a9 in g_type_create_instance ()
   from /gnu/store/9x9229j1sramg64qppmn87m2vy2jq4im-glib-2.52.2/lib/libgobject-2.0.so.0
#9  0x00007f71fb925aeb in g_object_new_internal ()
   from /gnu/store/9x9229j1sramg64qppmn87m2vy2jq4im-glib-2.52.2/lib/libgobject-2.0.so.0
#10 0x00007f71fb9272e1 in g_object_newv ()
   from /gnu/store/9x9229j1sramg64qppmn87m2vy2jq4im-glib-2.52.2/lib/libgobject-2.0.so.0
#11 0x00007f71fb927bcc in g_object_new ()
   from /gnu/store/9x9229j1sramg64qppmn87m2vy2jq4im-glib-2.52.2/lib/libgobject-2.0.so.0
#12 0x00007f71fc028771 in try_implementation ()
   from /gnu/store/9x9229j1sramg64qppmn87m2vy2jq4im-glib-2.52.2/lib/libgio-2.0.so.0
#13 0x00007f71fc0288f0 in _g_io_module_get_default ()
   from /gnu/store/9x9229j1sramg64qppmn87m2vy2jq4im-glib-2.52.2/lib/libgio-2.0.so.0
#14 0x00007f71f2099615 in soup_proxy_resolver_default_constructed ()
   from /gnu/store/c4ivrb2xrmr8am2dy05cm6ydc870vwm0-libsoup-2.58.2/lib/libsoup-2.4.so.1
#15 0x00007f71fb926057 in g_object_new_internal ()
   from /gnu/store/9x9229j1sramg64qppmn87m2vy2jq4im-glib-2.52.2/lib/libgobject-2.0.so.0
#16 0x00007f71fb9272e1 in g_object_newv ()
   from /gnu/store/9x9229j1sramg64qppmn87m2vy2jq4im-glib-2.52.2/lib/libgobject-2.0.so.0
#17 0x00007f71fb927bcc in g_object_new ()
   from /gnu/store/9x9229j1sramg64qppmn87m2vy2jq4im-glib-2.52.2/lib/libgobject-2.0.so.0
#18 0x00007f71f20a307c in soup_session_add_feature_by_type ()
   from /gnu/store/c4ivrb2xrmr8am2dy05cm6ydc870vwm0-libsoup-2.58.2/lib/libsoup-2.4.so.1
#19 0x00007f71f20a3b1b in soup_session_set_property ()
   from /gnu/store/c4ivrb2xrmr8am2dy05cm6ydc870vwm0-libsoup-2.58.2/lib/libsoup-2.4.so.1
#20 0x00007f71fb927f68 in g_object_set_valist ()
   from /gnu/store/9x9229j1sramg64qppmn87m2vy2jq4im-glib-2.52.2/lib/libgobject-2.0.so.0
#21 0x00007f71fb9285ef in g_object_set ()
   from /gnu/store/9x9229j1sramg64qppmn87m2vy2jq4im-glib-2.52.2/lib/libgobject-2.0.so.0
#22 0x00007f71f35f9637 in WebCore::SoupNetworkSession::SoupNetworkSession(_SoupCookieJar*) ()
   from /gnu/store/3ph6sjm0513972v3220s0a8i8xprmlcq-webkitgtk-gtk2-2.4.11/lib/libwebkitgtk-1.0.so.0
<snip>